> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update zone details > Update details for a zone. ## OpenAPI ````json PATCH /v1/zones/{zone-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/zones/{zone-id}": { "patch": { "tags": [ "Zone" ], "summary": "Update zone details.", "description": "Update details for a zone.", "operationId": "updateZone", "parameters": [ { "$ref": "#/components/parameters/ZoneId" } ], "requestBody": { "$ref": "#/components/requestBodies/UpdateZoneRequest" }, "responses": { "200": { "description": "Details of the zone.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Zone" } } } } }, "x-auth-resource": "Manager" } } }, "components": { "parameters": { "ZoneId": { "name": "zone-id", "in": "path", "description": "UUID of a zone.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "UpdateZoneRequest": { "description": "Request to update zone details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateZoneRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "Zone": { "required": [ "acct_id", "certificate", "zone_id", "name", "node_refresh_interval", "node_renewal_threshold", "node_enrollment", "security_policy" ], "type": "object", "properties": { "acct_id": { "type": "string", "description": "The account ID of the account that this zone belongs to.", "format": "uuid" }, "node_enrollment": { "$ref": "#/components/schemas/NodeEnrollment" }, "certificate": { "type": "string", "description": "Zone certificate (PEM format)." }, "zone_id": { "type": "string", "description": "Zone Id.", "format": "uuid" }, "name": { "type": "string", "description": "Zone name." }, "description": { "type": "string", "description": "Zone description." }, "security_policy": { "$ref": "#/components/schemas/SecurityPolicy" } }, "description": "Detailed info of a zone." }, "UpdateZoneRequest": { "required": [ "security_policy" ], "type": "object", "properties": { "security_policy": { "$ref": "#/components/schemas/SecurityPolicy" } } }, "NodeEnrollment": { "required": [ "attestation_enforcement_disabled_insecure" ], "type": "object", "properties": { "attestation_enforcement_disabled_insecure": { "type": "boolean" } } }, "SecurityPolicy": { "required": [ "attestation_enforcement_disabled_insecure", "grace_period" ], "type": "object", "properties": { "attestation_enforcement_disabled_insecure": { "type": "boolean" }, "grace_period": { "$ref": "#/components/schemas/TcbGracePeriodConfig" } } }, "TcbGracePeriodConfig": { "required": [ "seconds" ], "type": "object", "properties": { "seconds": { "type": "integer", "description": "Grace period represented in number of seconds.", "format": "uint64" } } } } } } ````